Subject: Re: Linux 2.6.20-rc2: forgot how to make a zImage on powerpc?

From: Mark Glines <[email-masked]>
Date: Mon, 25 Dec 2006 11:45:51 -0800

Mark Glines wrote:
> Hmm.  I'm trying to build 2.6.20-rc2 on a little powerpc box with 
> arch/powerpc/configs/linkstation_defconfig, and I get:
...
>   MODPOST vmlinux
> ln: accessing `arch/powerpc/boot/zImage': No such file or directory
> make[1]: *** [arch/powerpc/boot/zImage] Error 1
> make: *** [zImage] Error 2
> 
> So, uh, are we forgetting to go into the right subdirectory to make the 
> actual zImage, or what?  If I'm just doing something wrong, I'd love to 
> know what it is.
> 
> I'll follow up here on lkml if I diagnose this further.  Thanks,

Followup:  Yeah, it looks like it just doesn't know which format of 
zImage to produce for linkstation.

I'm not sure what image should be used by default.  I guess it depends 
on the bootloader.  Maybe default to uImage, as uBoot seems to be fairly 
common on these devices?

Mark